<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
Cursor..::.Refresh Method (DatabaseEntry, DatabaseEntry, LockingInfo)
Cursor Class See Also Send Feedback

Store the key/data pair to which the cursor refers in Current. If either the key or the data is partial DatabaseEntry, its PartialLen bytes starting PartialOffset bytes from the beginning of the retrieved data record are returned as if they comprised the entire record. If any or all of the specified bytes do not exist in the record, Refresh is successful, and any existing bytes are returned.

Namespace: BerkeleyDB
Assembly: libdb_dotnet60 (in libdb_dotnet60.dll) Version: 6.0.35.0

# Syntax

C#

    public bool Refresh(
    	DatabaseEntry key,
    	DatabaseEntry data,
    	LockingInfo info
    )

Visual Basic (Declaration)

    Public Function Refresh ( _
    	key As DatabaseEntry, _
    	data As DatabaseEntry, _
    	info As LockingInfo _
    ) As Boolean

Visual C++

    public:
    bool Refresh(
    	DatabaseEntry^ key,
    	DatabaseEntry^ data,
    	LockingInfo^ info
    )

#### Parameters

key
  Type: BerkeleyDB..::.DatabaseEntry
  The retrieved key

data
  Type: BerkeleyDB..::.DatabaseEntry
  The retrieved data

info
  Type: BerkeleyDB..::.LockingInfo
  The locking behavior to use.

#### Return Value

True if the cursor was positioned successfully, false otherwise.

# Remarks

If positioning the cursor fails, Current will contain an empty KeyValuePair<(Of <(TKey, TValue>)>).

# See Also

Cursor Class
Refresh Overload
BerkeleyDB Namespace